<?php
/*********************************************
Desciption: Processamento de template
File: /index.php
Project: 7Lis.com
Developers: João Vieira
Start Date: 2009/12/17
*********************************************/

//configuração principal
require_once($_SERVER['DOCUMENT_ROOT'] . "/includes/configuracao.default.php");
//total iteracção com base de dados
require_once($_SERVER['DOCUMENT_ROOT'] . "/includes/classe.bd.php");
//funções de tratamento de textos
include($_SERVER['DOCUMENT_ROOT'] . '/includes/funcoes.default.php');

$acCao = explode("/", $_SERVER['QUERY_STRING']);
#$acCao[1] = $acCao[1];

//meta tags inicialização
$paginaTitle		= '';
$paginaKeywords		= '';
$paginaDescription	= '';

//que página é esta?
if ( !isset($acCao[1]) ) $acCao[1] = "";
$strPagina = "pg." . safe($acCao[1]);
//qual cache?
$paginaCache	= 1;

if ( $strPagina == "pg." ) $strPagina = "pg";

//Smarty stuff
define('SMARTY_DIR', $_SERVER["DOCUMENT_ROOT"] . '/includes/Smarty/');
require_once(SMARTY_DIR . '/Smarty.class.php');
$smartyPg = new Smarty;
$smartyPg->template_dir     = $_SERVER['DOCUMENT_ROOT'] . '/tpl/html';
$smartyPg->compile_dir      = $_SERVER['DOCUMENT_ROOT'] . '/tplcomp';
$smartyPg->cache_dir        = $_SERVER['DOCUMENT_ROOT'] . '/tplcach';
$smartyPg->caching          = 1; // lifetime is per cache
$smartyPg->cache_lifetime   = $paginaCache; //60*60*24;//segundos*minutos*horas, um dia completo :)
$smartyPg->use_sub_dirs     = true;
$smartyPg->force_compile    = true;

if ( !file_exists($_SERVER['DOCUMENT_ROOT'] . "/tpl/html/" . $strPagina . ".html") ) exit();

if ( file_exists($_SERVER['DOCUMENT_ROOT'] . "/includes/" . str_replace(".en", "", str_replace("-en", "", $strPagina)) . ".php") ) {
    require_once($_SERVER['DOCUMENT_ROOT'] . "/includes/" . str_replace(".en", "", str_replace("-en", "", $strPagina)) . ".php");
}

if(!$smartyPg->is_cached($strPagina . ".html", $strPagina)) {

    //lista eventos página inicial
    $smartyPg->assign('listaEventos', array());
    $intCategoria		= '3';
    if ( isset($intPais) ) {
	if ( (int)$intPais > 0 ) $intCategoria = $intPais;
    }
  
    $respostaDb->GetConteudos($intCategoria, "2", "AND conteudos.protegido LIKE 'NAO' AND DATE_FORMAT(conteudos.dataentrada, '%Y%m%d') > DATE_FORMAT(NOW(), '%Y%m%d') ORDER BY conteudos.dataentrada ASC");
    $respostaDb->oBug	= false;
    $rowResultDb	= NULL;
    if ( $resultDb = $respostaDb->puXa() ){
	$listaConteudos	= array();
	$indice 	= 0;
	while($rowResultDb = $resultDb->fetch(PDO::FETCH_ASSOC)){
	    $listaConteudos[$indice]['id']		= $rowResultDb['cid'];
	    $listaConteudos[$indice]['titulo']		= trd($rowResultDb['ctitulo'], $siteLng);
	    $listaConteudos[$indice]['texto']		= substr(strip_tags(trd($rowResultDb['ctexto'], $siteLng)), 0, 38);
	    $listaConteudos[$indice]['dia']		= $rowResultDb['cdataentrada'];
	    $listaConteudos[$indice]['categoria']	= trd($rowResultDb['ccnome'], $siteLng);
	    $listaConteudos[$indice]['metaurl']		= trd($rowResultDb['cmetaurl'], $siteLng);
	    if ( strlen(trim($listaConteudos[$indice]['metaurl'])) < 5 ) $listaConteudos[$indice]['metaurl'] = formata_urllink($listaConteudos[$indice]['titulo']);
	    $strImagem	= explode('<img', trd($rowResultDb['ctexto'], $siteLng));
	    if ( isset($strImagem[1]) ) {
		$strImagem	= explode('src="', $strImagem[1]);
		$strImagem	= explode('"', $strImagem[1]);
		$listaConteudos[$indice]['imagem']	= $strImagem[0];
	    }else $listaConteudos[$indice]['imagem']	= imgNenhumaNormal;
	    $indice++;
	}
	$smartyPg->assign('listaEventos', $listaConteudos);
    }

    //lista pacotes página inicial
    $smartyPg->assign('listaPacotesDestaque', array());
    $intCategoria		= '2';
    if ( isset($intPais) ) {
	if ( (int)$intPais > 0 ) $intCategoria = $intPais;
    }

    $qUantos = 3;
    if ( strpos($_SERVER['REQUEST_URI'], 'pacotes.html') !== false ) $qUantos = '1';
    $respostaDb->GetConteudos($intCategoria, $qUantos, "AND conteudos.destaque LIKE 'SIM' AND conteudos.estado LIKE 'SIM' AND conteudos.protegido LIKE 'NAO' AND DATE_FORMAT(conteudos.dataentrada, '%Y%m%d') <= DATE_FORMAT(NOW(), '%Y%m%d') AND DATE_FORMAT(conteudos.datasaida, '%Y%m%d') >= DATE_FORMAT(NOW(), '%Y%m%d') ORDER BY conteudos.dataentrada DESC");
    $respostaDb->oBug	= false;
    $rowResultDb	= NULL;
    $listaConteudos	= array();
    $indice 		= 0;
    if ( $qUantos == 1 ) {
	if ( $rowResultDb = $respostaDb->puXa() ){
	    $listaConteudos[$indice]['id']		= $rowResultDb['cid'];
	    $listaConteudos[$indice]['titulo']		= trd($rowResultDb['ctitulo'], $siteLng);
	    $listaConteudos[$indice]['texto']		= substr(strip_tags(trd($rowResultDb['ctexto'], $siteLng)), 0, 60);
	    $listaConteudos[$indice]['dia']		= $rowResultDb['cdataentrada'];
	    $listaConteudos[$indice]['categoria']	= trd($rowResultDb['ccnome'], $siteLng);
	    $listaConteudos[$indice]['metaurl']		= trd($rowResultDb['cmetaurl'], $siteLng);
	    if ( strlen(trim($listaConteudos[$indice]['metaurl'])) < 5 ) $listaConteudos[$indice]['metaurl'] = formata_urllink($listaConteudos[$indice]['titulo']);
	    $strImagem	= explode('<img', trd($rowResultDb['ctexto'], $siteLng));
	    if ( isset($strImagem[1]) ) {
		$strImagem	= explode('src="', $strImagem[1]);
		$strImagem	= explode('"', $strImagem[1]);
		$listaConteudos[$indice]['imagem']	= $strImagem[0];
	    }else $listaConteudos[$indice]['imagem']	= imgNenhumaNormal;
	}
    }else {
	if ( $resultDb = $respostaDb->puXa() ){
	    while($rowResultDb = $resultDb->fetch(PDO::FETCH_ASSOC)){
		$listaConteudos[$indice]['id']		= $rowResultDb['cid'];
		$listaConteudos[$indice]['titulo']		= trd($rowResultDb['ctitulo'], $siteLng);
		$listaConteudos[$indice]['texto']		= substr(strip_tags(trd($rowResultDb['ctexto'], $siteLng)), 0, 60);
		$listaConteudos[$indice]['dia']		= $rowResultDb['cdataentrada'];
		$listaConteudos[$indice]['categoria']	= trd($rowResultDb['ccnome'], $siteLng);
		$listaConteudos[$indice]['metaurl']		= trd($rowResultDb['cmetaurl'], $siteLng);
		if ( strlen(trim($listaConteudos[$indice]['metaurl'])) < 5 ) $listaConteudos[$indice]['metaurl'] = formata_urllink($listaConteudos[$indice]['titulo']);
		$strImagem	= explode('<img', trd($rowResultDb['ctexto'], $siteLng));
		if ( isset($strImagem[1]) ) {
		    $strImagem	= explode('src="', $strImagem[1]);
		    $strImagem	= explode('"', $strImagem[1]);
		    $listaConteudos[$indice]['imagem']	= $strImagem[0];
		}else $listaConteudos[$indice]['imagem']	= imgNenhumaNormal;
		$indice++;
	    }
	}
    }
    $smartyPg->assign('listaPacotesDestaque', $listaConteudos);

    //lista eventos diferentes
    $smartyPg->assign('listaEventosDif', array());
    $intCategoria		= '2';
    if ( isset($intPais) ) {
	if ( (int)$intPais > 0 ) $intCategoria = $intPais;
    }

    $respostaDb->GetConteudos($intCategoria, "2", "AND conteudos.protegido LIKE 'NAO' AND DATE_FORMAT(conteudos.dataentrada, '%Y%m%d') > DATE_FORMAT(NOW(), '%Y%m%d') ORDER BY conteudos.dataentrada ASC");
    $respostaDb->oBug	= false;
    $rowResultDb	= NULL;
    if ( $resultDb = $respostaDb->puXa() ){
	$listaConteudos	= array();
	$indice 	= 0;
	while($rowResultDb = $resultDb->fetch(PDO::FETCH_ASSOC)){
	    $listaConteudos[$indice]['id']		= $rowResultDb['cid'];
	    $listaConteudos[$indice]['titulo']		= trd($rowResultDb['ctitulo'], $siteLng);
	    $listaConteudos[$indice]['texto']		= substr(strip_tags(trd($rowResultDb['ctexto'], $siteLng)), 0, 38);
	    $listaConteudos[$indice]['dia']		= $rowResultDb['cdataentrada'];
	    $listaConteudos[$indice]['categoria']	= trd($rowResultDb['ccnome'], $siteLng);
	    $listaConteudos[$indice]['metaurl']		= trd($rowResultDb['cmetaurl'], $siteLng);
	    if ( strlen(trim($listaConteudos[$indice]['metaurl'])) < 5 ) $listaConteudos[$indice]['metaurl'] = formata_urllink($listaConteudos[$indice]['titulo']);
	    $strImagem	= explode('<img', trd($rowResultDb['ctexto'], $siteLng));
	    if ( isset($strImagem[1]) ) {
		$strImagem	= explode('src="', $strImagem[1]);
		$strImagem	= explode('"', $strImagem[1]);
		$listaConteudos[$indice]['imagem']	= $strImagem[0];
	    }else $listaConteudos[$indice]['imagem']	= imgNenhumaNormal;
	    $indice++;
	}
	$smartyPg->assign('listaEventosDif', $listaConteudos);
    }


    //lista notícias páginas inicial
    $smartyPg->assign('listaNoticias', array());
    $intCategoria		= '1';
    $respostaDb->GetConteudos($intCategoria, "3", "AND conteudos.destaque LIKE 'SIM' AND conteudos.protegido LIKE 'NAO' AND DATE_FORMAT(conteudos.dataentrada, '%Y%m%d') <= DATE_FORMAT(NOW(), '%Y%m%d') AND DATE_FORMAT(conteudos.datasaida, '%Y%m%d') > DATE_FORMAT(NOW(), '%Y%m%d') ORDER BY conteudos.dataentrada DESC");
    $respostaDb->oBug	= false;
    $rowResultDb	= NULL;
    if ( $resultDb = $respostaDb->puXa() ){
	$listaConteudos	= array();
	$indice 	= 0;
	while($rowResultDb = $resultDb->fetch(PDO::FETCH_ASSOC)){
	    $listaConteudos[$indice]['id']	= $rowResultDb['cid'];
	    $listaConteudos[$indice]['titulo']	= trd($rowResultDb['ctitulo'], $siteLng);
	    $listaConteudos[$indice]['texto']	= substr(strip_tags(trd($rowResultDb['ctexto'], $siteLng)), 0, 90);
	    $listaConteudos[$indice]['dia']	= $rowResultDb['cdataentrada'];
	    $listaConteudos[$indice]['metaurl']	= trd($rowResultDb['cmetaurl'], $siteLng);
	    if ( strlen(trim($listaConteudos[$indice]['metaurl'])) < 5 ) $listaConteudos[$indice]['metaurl'] = formata_urllink($listaConteudos[$indice]['titulo']);
	    $indice++;
	}
	$smartyPg->assign('listaNoticias', $listaConteudos);
    }


    //o que se faz apenas when uncached
    $smartyPg->assign('infoTitle', $paginaTitle);
    $smartyPg->assign('infoKeywords', $paginaKeywords);
    $smartyPg->assign('infoDescription', $paginaDescription);
    $smartyPg->assign('infoHeader', '');
    $smartyPg->assign('infoFooter', '');
}

//variaveis globais a usar nos templates Smarty
include($_SERVER['DOCUMENT_ROOT'] . '/includes/variaveis.globais.php');

$smartyPg->display($strPagina . '.html', $strPagina);

?>